<chapter fileref='xmltool.xml'>
  <title>XMLTool</title>
  <subtitle>Swiss-Army-Knife For XML</subtitle>

  <chapterinfo>
    <revhistory>
      <revision>
	<revnumber>1.0</revnumber>
	<date>20011206</date>
	<authorinitials>SRB</authorinitials>
	<revremark>
	  <para>Initial version</para>
	</revremark>
      </revision>
    </revhistory>
  </chapterinfo>

  <para>XMLTool is an application for peforming various operations upon XML documents.  Operations include parsing and transformation.</para>

  <section>
    <title>Download and Installation</title>

    <para><ulink url="http://sourceforge.net/cvs/?group_id=13178">Pull the CVS tree</ulink> to get the latest-and-greatest code.  The module name is "xmltool".</para>

    <para>In addition to the xmltool module itself, you'll also need:</para>
    <itemizedlist>
      <listitem>
        <para><ulink url='tclxml.html'>TclXML</ulink> v2.1theta.</para>
      </listitem>
      <listitem>
        <para><ulink url='tcldom.html'>TclDOM</ulink> v2.0.</para>
      </listitem>
      <listitem>
        <para><ulink url='http://bwidgets.sourceforge.net/'>BWidgets</ulink></para>
      </listitem>
      <listitem>
        <para>A validating XML parser, such as <ulink url='http://xmlsoft.org/'>the Gnome XML library</ulink>.  xmltool can also use <ulink url='http://xml.apache.org/'>Xerces-J</ulink>.</para>
      </listitem>
      <listitem>
        <para>An XSLT processor, such as <ulink url='http://xmlsoft.org/'>the Gnome libxslt library</ulink>.  xmltool can use libxslt either via a command-line interface or using the <ulink url='tclxslt.html'>TclXSLT</ulink> package.  It also knows how to use <ulink url='http://xml.apache.org/'>Xalan-J</ulink> and <ulink url='http://saxon.sourceforge.net/'>Saxon</ulink>.</para>
      </listitem>
    </itemizedlist>
  </section>

  <section>
    <title>Documentation</title>

    <para>Pointers to screenshots and the User Guide are coming.</para>
  </section>

  <section>
    <title>Contributing</title>

    <para>Contributions of any kind to the project are welcome.</para>

    <section>
      <title>Reporting Bugs</title>

      <para>An important contribution you can make is to test the package and report any bugs.  Use <ulink url="http://sourceforge.net/tracker/?func=add&amp;group_id=13178&amp;atid=113178">SourceForge bug tracking</ulink> to report problems or request features.  Please make sure you set the category to "xmltool".</para>
    </section>

    <section>
      <title>Sponsorship</title>

      <para>The XMLTool application owes its existance to Zveno.</para>
    </section>
  </section>

  <section>
    <title>Discussion</title>

    <para>xmltool is discussed on the TclXML mailing list and comp.text.xml newsgroup.</para>
  </section>
</chapter>
